# And-Juz-Per - Components

## View

This class diagram describes the internal structure of our view component :
![and-juz-per_defaultview_class_diagram.jpg](and-juz-per_defaultview_class_diagram.jpg)
The "main" class was initially called `DefaultView` but it had to be renamed to `AndJuzPerView` to avoid conflicts with
other view components, also named `DefaultView`.

Here below, the sequence diagram explains how interactions with our view component are handled:
![and-juz-per_defaultview_sequence_diagram.jpg](and-juz-per_defaultview_sequence_diagram.jpg)

Additionally, the user can, in the GUI, chose to display the elements in the board as icons, text or colors. By default,
the text representation is used.

# Model (Board)

> **Note:** In this integrated project (team blue), we chose to use the model from the Jul-Mic-Rol group. Because the
> And-Juz-Per model wasn't used in any integrated project, it does not implement the `SimulableBoard` API.

The diagrams below explain the structure and behaviour of this component. Because it is not used in this project, it
won't be explained further.

![and-juz-per_model_class_diagram.jpg](and-juz-per_model_class_diagram.jpg)

![and-juz-per_model_sequence_diagram.jpg](and-juz-per_model_sequence_diagram.jpg)